local t = Def.ActorFrame {
	LoadFont("SortDisplay") ..{
		InitCommand=cmd(horizalign,left;shadowlength,0;SetTextureFiltering,false);
		SetCommand=function(self)
			local course = GAMESTATE:GetCurrentCourse();
			local stages = 0;
			if course then
				stages = course:GetEstimatedNumStages();
			end;
			self:settext(stages);
		end;
		CurrentCourseChangedMessageCommand=cmd(playcommand,"Set");
		CurrentTrailP1ChangedMessageCommand=cmd(playcommand,"Set");
		CurrentTrailP2ChangedMessageCommand=cmd(playcommand,"Set");
	};
};

return t;